Bug 505663 - Gecko crash upon smart card removal
Gecko crash upon smart card removal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: esc (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jack Magne
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 15:58 EDT by Michael Brown
Modified: 2016-04-22 01:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 19:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Gecko crash report (406.68 KB, text/plain)
2009-06-12 15:58 EDT, Michael Brown
no flags Details

  None (edit)
Description Michael Brown 2009-06-12 15:58:18 EDT
Created attachment 347657 [details]
Gecko crash report

Description of problem:

DoD CAC smart card
Fedora 11 i686
esc-1.0.1-14.fc11.i586.rpm
coolkey-1.1.0-8.fc11.i586.rpm
pcsc-lite-1.5.2-1.fc11.i586.rpm
pcsc-tools-1.4.14-2.fc11.i586

When I insert the DOD CAC into a usb smart card reader installed on the system, ESC successfully recognizes the card insertion and the certificates on the smart card.  Upon smart card removal, a pop-up reports a gecko crash.  I have attached the crash report.


Version-Release number of selected component (if applicable):

See above

How reproducible:

Always


Steps to Reproduce:
1. See above
2.
3.
  
Actual results:

Gecko crash


Expected results:

Successful detection of smart card removal

Additional info:
Comment 1 Bug Zapper 2010-04-27 10:50:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jack Magne 2010-04-27 19:53:56 EDT
Addressed in later version.

Note You need to log in before you can comment on or make changes to this bug.